Bug 11723 - Message "A refund has been applied" on all lost item returns
Summary: Message "A refund has been applied" on all lost item returns
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
: 19508 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-02-08 14:55 UTC by Jesse Maseto
Modified: 2020-07-02 12:27 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Maseto 2014-02-08 14:55:28 UTC
We've found that following check-in message appears for all lost statuses regardless of if a patron has been billed or not.

A good way to test this is to find a book that is not checked out and mark it missing. When you check it in, you'll get the following message:

"Item was lost, now found.

A refund has been applied to the borrowing patron's account."

It seems like the second half of the message should only apply if a patron was actually refunded.
Comment 1 Jesse Maseto 2014-03-12 16:12:52 UTC
This is not a bug. Functionality works as it should. This message appears depending on how 'RefundLostItemFeeOnReturn' is set in your system.
Comment 2 Tomás Cohen Arazi 2016-06-15 19:35:39 UTC
(In reply to Jesse Maseto from comment #1)
> This is not a bug. Functionality works as it should. This message appears
> depending on how 'RefundLostItemFeeOnReturn' is set in your system.

The message appears depending on the fact of whether there was a refund or not. It would be cool to carry the borrowernumer/name to display a link to the actual patron just in case the librarian wants to check.
Comment 3 Owen Leonard 2016-08-10 17:54:51 UTC
(In reply to Tomás Cohen Arazi from comment #2)
> (In reply to Jesse Maseto from comment #1)
> > This is not a bug. Functionality works as it should. This message appears
> > depending on how 'RefundLostItemFeeOnReturn' is set in your system.
> 
> The message appears depending on the fact of whether there was a refund or
> not.

I don't find this to be the case. If I mark an item missing when it is not checked out, checking it in will not trigger any refund because a charge was never put on anyone's account. The message should not display every times something with a lost status is checked in.
Comment 4 Christopher Brannon 2017-04-26 21:36:58 UTC
Realistically the message shouldn't display unless a refund has actually taken place.  Unfortunately this is not the case.  This has annoyed many staff.

If the refund took place before the message was displayed, it would be great if it actually looked at the patron's account and confirmed that a refund was actually given, and if so, THEN display the message.
Comment 5 Katrin Fischer 2020-07-01 22:18:39 UTC
*** Bug 19508 has been marked as a duplicate of this bug. ***
Comment 6 Andrew Fuerste-Henry 2020-07-02 12:27:03 UTC
+1 on this, it's a source of confusion